import request from "@/utils/request";

// 随堂检测列表
export const getClassDetectionList = (params) =>
  request({
    url: "/sc/classDetection/list",
    params,
  });
// 新增随堂检测
export const addClassDetection = (data) =>
  request({
    url: "/sc/classDetection",
    method: "post",
    data,
  });
// 修改随堂检测
export const updateClassDetection = (data) =>
  request({
    url: "/sc/classDetection",
    method: "put",
    data,
  });
// 随堂检测详情
export const classDetectionDetail = (id) =>
  request({
    url: `/sc/classDetection/${id}`,
  });
// 修改随堂检测记录
export const updateClassDetectionRecord = (data) =>
  request({
    url: "/sc/classDetectionRecord",
    method: "put",
    data,
  });
// 随堂检测详情
export const getClassDetectionRecordList = (params) =>
  request({
    url: "/sc/classDetectionRecord/list",
    params,
  });
// 锁定设备
export const lockDevice = (data) =>
  request({
    url: "/sc/classDetection/operateLock",
    method: "post",
    data,
  });
